Javascript Listview Listview for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Listview for Javascript

light
dark

Change the theme setting here

Listview - Remove/Undo

Change demo
Remove/Undo
Javascript Listview demo with swipe-away delete and built-in undo functionality. Use it for laying out notifications or any data. Plain JS api for usage everywhere.

Listview - Hierarchy

Change demo
Hierarchy
Javascript Listview with multi-level hierarchy and drill-down interface. Featuring images, icons and text. Plain JS api for usage everywhere.

Listview - Checklist

Change demo
Checklist
Javascript Drag & Drop checklist/tasklist with swipe actions to add/remove items from todo listview. Sorting is supported. Plain JS api for usage everywhere.

Listview - Filtering

Change demo
Filtering
Javascript Listview demo with dynamic data and live filtering. Add and remove items on the fly or reload the full list. Plain JS api for usage everywhere.

Listview - Load on demand

Change demo
Load on demand
Javascript Listview load on demand demo. Load data from a REST service and populate the list as users scroll content. Plain JS api for usage everywhere.

Listview - Load more

Change demo
Load more
Javascript Listview demo with load more button for loading additional items from a REST service. Get and display records from JSON. Plain JS api for usage everywhere.

Listview - Event handlers

Change demo
Event handlers
Javascript Listview demo with event hooks for deep integration and custom functionality. With source code. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 
var ids = 6,
    ul = document.getElementById('demo');

mobiscroll.listview(ul, {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    sortable: true,
    iconSlide: true,
    striped: true,
    stages: [{
        percent: 25,
        color: 'crimson',
        icon: 'checkmark',
        text: 'Complete',
        action: function (event, inst) {
            event.target.querySelector('.md-wo-status').innerHTML = 'Completed';
        }
    }, {
        percent: -50,
        color: 'red',
        icon: 'remove',
        text: 'Delete',
        confirm: true,
        action: function (event, inst) {
            inst.remove(event.target);
            return false;
        }
    }, {
        percent: 50,
        color: 'green',
        icon: 'plus',
        text: 'Spawn',
        undo: true,
        action: function (event, inst) {
            inst.add(++ids, 'Work order #000' + ids + ' created from WO #000' + event.target.getAttribute('data-id') + '<div class="md-wo-status">Assigned</div>', event.index + 1);
        }
    }, {
        percent: -25,
        color: 'olive',
        icon: 'clock',
        text: 'Pending',
        action: function (event, inst) {
            event.target.querySelector('.md-wo-status').innerHTML = 'Pending';
        }
    }],
    onItemAdd: function () {
        // Your custom event handler goes here
    },
    onItemRemove: function () {
        // Your custom event handler goes here
    },
    onInit: function (event, inst) {
        // Your custom event handler goes here
    },
    onItemTap: function (event, inst) {
        // Your custom event handler goes here
    },
    onNavEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onNavStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSlideEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onSlideStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSort: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortChange: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortUpdate: function (event, inst) {
        // Your custom event handler goes here
    },
    onStageChange: function (event, inst) {
        // Your custom event handler goes here
    }
});
<ul id="demo" class="md-wo-list" style="display:none">
    <li data-id="1">Work order #0001
        <div class="md-wo-status">Assigned</div>
    </li>
    <li data-id="2">Work order #0002
        <div class="md-wo-status">Assigned</div>
    </li>
    <li data-id="3">Work order #0003
        <div class="md-wo-status">Assigned</div>
    </li>
    <li data-id="4">Work order #0004
        <div class="md-wo-status">Assigned</div>
    </li>
    <li data-id="5">Work order #0005
        <div class="md-wo-status">Assigned</div>
    </li>
    <li data-id="6">Work order #0006
        <div class="md-wo-status">Assigned</div>
    </li>
</ul>
.demo-main-cont.demo-comp-listview { padding: 0; }
.demo-comp-listview .demo-note { margin: 10px; }

Listview - Quick Navigation

Change demo
Quick Navigation
Javascript Listview demo with quick access to list segments. Alphabetically group items and provide a tab list for selection. Plain JS api for usage everywhere.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Angular and Ionic Listview Listview for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Listview for Angular and Ionic Framework

light
dark

Change the theme setting here

Listview - Remove/Undo

Change demo
Remove/Undo
Angular Listview demo with swipe-away delete and built-in undo functionality. Use it for laying out notifications or any data. For Angular 22 and Ionic 8.

Listview - Hierarchy

Change demo
Hierarchy
Angular Listview with multi-level hierarchy and drill-down interface. Featuring images, icons and text. For Angular 22 and Ionic 8.
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Listview - Checklist

Change demo
Checklist
Angular Drag & Drop checklist/tasklist with swipe actions to add/remove items from todo listview. Sorting is supported. For Angular 22 and Ionic 8.

Listview - Filtering

Change demo
Filtering
Angular Listview demo with dynamic data and live filtering. Add and remove items on the fly or reload the full list. For Angular 22 and Ionic 8.
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Listview - Load on demand

Change demo
Load on demand
Angular Listview load on demand demo. Load data from a REST service and populate the list as users scroll content. For Angular 22 and Ionic 8.
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Listview - Load more

Change demo
Load more
Angular Listview demo with load more button for loading additional items from a REST service. Get and display records from JSON. For Angular 22 and Ionic 8.
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Listview - Event handlers

Change demo
Event handlers
Angular Listview demo with event hooks for deep integration and custom functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})

export class AppComponent {
    ids = 6;
    data = [{
        id: 1,
        title: 'Work order #0001',
        status: 'Assigned'
    }, {
        id: 2,
        title: 'Work order #0002',
        status: 'Assigned'
    }, {
        id: 3,
        title: 'Work order #0003',
        status: 'Assigned'
    }, {
        id: 4,
        title: 'Work order #0004',
        status: 'Assigned'
    }, {
        id: 5,
        title: 'Work order #0005',
        status: 'Assigned'
    }, {
        id: 6,
        title: 'Work order #0006',
        status: 'Assigned'
    }];

    listviewSettings: any = {
        theme: ' ',
        themeVariant: ' ',
        lang: ' ',
        sortable: true,
        iconSlide: true,
        striped: true,
        stages: [{
            percent: 25,
            color: 'crimson',
            icon: 'checkmark',
            text: 'Complete',
            action: (event, inst) => {
                this.data[event.index].status = 'Completed';
            }
        }, {
            percent: -50,
            color: 'red',
            icon: 'remove',
            text: 'Delete',
            confirm: true,
            action: (event, inst) => {
                this.data.splice(event.index, 1);
                return false;
            }
        }, {
            percent: 50,
            color: 'green',
            icon: 'plus',
            text: 'Spawn',
            undo: true,
            action: (event, inst) => {
                this.data.push({
                    id: ++this.ids,
                    title: 'Work order #000' + this.ids + ' created from WO #000',
                    status: 'Assigned'
                });
            }
        }, {
            percent: -25,
            color: 'olive',
            icon: 'clock',
            text: 'Pending',
            action: (event, inst) => {
                this.data[event.index].status = 'Pending';
            }
        }],
        onItemAdd: function () {
            // Your custom event handler goes here
        },
        onItemRemove: function () {
            // Your custom event handler goes here
        },
        onInit: function (event, inst) {
            // Your custom event handler goes here
        },
        onItemTap: function (event, inst) {
            // Your custom event handler goes here
        },
        onNavEnd: function (event, inst) {
            // Your custom event handler goes here
        },
        onNavStart: function (event, inst) {
            // Your custom event handler goes here
        },
        onSlideEnd: function (event, inst) {
            // Your custom event handler goes here
        },
        onSlideStart: function (event, inst) {
            // Your custom event handler goes here
        },
        onSort: function (event, inst) {
            // Your custom event handler goes here
        },
        onSortChange: function (event, inst) {
            // Your custom event handler goes here
        },
        onSortEnd: function (event, inst) {
            // Your custom event handler goes here
        },
        onSortStart: function (event, inst) {
            // Your custom event handler goes here
        },
        onSortUpdate: function (event, inst) {
            // Your custom event handler goes here
        },
        onStageChange: function (event, inst) {
            // Your custom event handler goes here
        }
    };
}
<mbsc-listview [options]="listviewSettings">
    <mbsc-listview-item *ngFor="let item of data">
        {{item.title}}
        <div class="md-wo-status">{{item.status}}</div>
    </mbsc-listview-item>
</mbsc-listview>
.demo-main-cont.demo-comp-listview { padding: 0; }
.demo-comp-listview .demo-note { margin: 10px; }

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Listview - Quick Navigation

Change demo
Quick Navigation
Angular Listview demo with quick access to list segments. Alphabetically group items and provide a tab list for selection. For Angular 22 and Ionic 8.
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Listview Listview for React

You are looking at v3 demos, switch to Mobiscroll 4?

Listview for React

light
dark

Change the theme setting here

Listview - Remove/Undo

Change demo
Remove/Undo
React Listview demo with swipe-away delete and built-in undo functionality. Use it for laying out notifications or any data. For React and Next.JS.

Listview - Hierarchy

Change demo
Hierarchy
React Listview with multi-level hierarchy and drill-down interface. Featuring images, icons and text. For React and Next.JS.
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */

Listview - Checklist

Change demo
Checklist
React Drag & Drop checklist/tasklist with swipe actions to add/remove items from todo listview. Sorting is supported. For React and Next.JS.

Listview - Filtering

Change demo
Filtering
React Listview demo with dynamic data and live filtering. Add and remove items on the fly or reload the full list. For React and Next.JS.
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */

Listview - Load on demand

Change demo
Load on demand
React Listview load on demand demo. Load data from a REST service and populate the list as users scroll content. For React and Next.JS.
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */

Listview - Load more

Change demo
Load more
React Listview demo with load more button for loading additional items from a REST service. Get and display records from JSON. For React and Next.JS.
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */

Listview - Event handlers

Change demo
Event handlers
React Listview demo with event hooks for deep integration and custom functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 
var ListItem = React.createClass({
    render: function() {
        return <li data-id={this.props.item.id}> {this.props.item.title}
            <div className="md-wo-status">{this.props.item.status}</div>
         </li>;
    }
});

var ListviewDemo = React.createClass({
    getInitialState: function() {
        return {
            items: [{
                id: 1,
                title: "Work order #0001",
                status: "Assigned"
            }, {
                id: 2,
                title: "Work order #0002",
                status: "Assigned"
            }, {
                id: 3,
                title: "Work order #0003",
                status: "Assigned"
            }, {
                id: 4,
                title: "Work order #0004",
                status: "Assigned"
            }, {
                id: 5,
                title: "Work order #0005",
                status: "Assigned"
            }, {
                id: 6,
                title: "Work order #0006",
                status: "Assigned"
            }]
        };
    },
    stages: function() {
        var ids = 6;
        return {
            left: [{
                percent: 25,
                color: 'crimson',
                icon: 'checkmark',
                text: 'Complete',
                action: function (event, inst) {
                    event.target.firstElementChild.innerText = "Completed";
                }
            }, {
                percent: 50,
                color: 'green',
                icon: 'plus',
                text: 'Spawn',
                undo: true,
                action: function (event, inst) {
                    inst.add(++ids, 'Work order #000' + ids + ' created from WO #000' + event.target.getAttribute('data-id') + '<div class="md-wo-status">Assigned</div>', event.index + 1);
                }
            }],
            right: [{
                percent: -50,
                color: 'red',
                icon: 'remove',
                text: 'Delete',
                confirm: true,
                action: function (event, inst) {
                    inst.remove(event.target);
                    return false;
                }
            }, {
                percent: -25,
                color: 'olive',
                icon: 'clock',
                text: 'Pending',
                action: function (event, inst) {
                    event.target.firstElementChild.innerText = "Pending";
                }
            }]
        };
    },
    refresh: function (){
        window.location.reload();
    },
    onItemAdd: function () {
        // Your custom event handler goes here
    },
    onItemRemove: function () {
        // Your custom event handler goes here
    },
    onInit: function (event, inst) {
        // Your custom event handler goes here
    },
    onItemTap: function (event, inst) {
        // Your custom event handler goes here
    },
    onNavEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onNavStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSlideEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onSlideStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSort: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortChange: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortEnd: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onSortUpdate: function (event, inst) {
        // Your custom event handler goes here
    },
    onStageChange: function (event, inst) {
        // Your custom event handler goes here
    },
    render: function() {
        return (
            <div>
                <div id="demo_note" onClick={this.refresh} className="md-demo-note demo-note" style={{display:'none'}}>
                    Whooa, list is empty. Tap here to refresh! &nbsp;
                    <span className="mbsc-ic mbsc-ic-loop2"></span>
                </div>
                <mobiscroll.Listview
                    ref="list"
                    itemType={ListItem} 
                    data={this.state.items}
                    stages={this.stages()}
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                    sortable={true}
                    iconSlide={true}
                    striped={true}
                    onItemAdd={this.onItemAdd}
                    onItemRemove={this.onItemRemove}
                    onInit={this.onInit}
                    onItemTap={this.onItemTap}
                    onNavEnd={this.onNavEnd}
                    onNavStart={this.onNavStart}
                    onSlideEnd={this.onSlideEnd}
                    onSlideStart={this.onSlideStart}
                    onSort={this.onSort}
                    onSortChange={this.onSortChange}
                    onSortEnd={this.onSortEnd}
                    onSortStart={this.onSortStart}
                    onSortUpdate={this.onSortUpdate}
                    onStageChange={this.onStageChange}
                />
        </div>
        );
    }
});

<div id="content"></div>
.demo-main-cont.demo-comp-listview { padding: 0; }
.demo-comp-listview .demo-note { margin: 10px; }

Listview - Quick Navigation

Change demo
Quick Navigation
React Listview demo with quick access to list segments. Alphabetically group items and provide a tab list for selection. For React and Next.JS.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos